This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 695884 - Help About does not pop up true dialog
Help About does not pop up true dialog
Status: ON_DEV
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
All All
low Severity low (vote)
: ---
: ---
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks: rhq-uxd
  Show dependency treegraph
 
Reported: 2011-04-12 17:09 EDT by Jay Shaughnessy
Modified: 2012-02-16 19:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2011-04-12 17:09:21 EDT
I'm not sure why, maybe there is a good reason. But Help->About does not present the About box in the same dialog fashion as is standard in the app.  It changes the history and navigates to the new url. The background is not greyed out.  When the about box is closed you no longer have the default Help canvas unless you use browser back. 

It should pop up the same way as when you click the rhq logo in the top left corner.
Comment 1 Mike Thompson 2012-02-16 19:12:16 EST

Code for the Logo Help
MenuBarView:101
private Canvas getLogoSection() {
        final AboutModalWindow aboutModalWindow = new AboutModalWindow(extendLocatorId("AboutModalWindow"));
        HLayout logoSection = new HLayout();
        logoSection.setOverflow(Overflow.VISIBLE);

        // NOTE: This image will either be an RHQ logo or a JON logo, but must be 80x28
        Img logo = new Img("header/rhq_logo_28px.png", 80, 28);
        logo.addClickHandler(new ClickHandler() {
            public void onClick(ClickEvent event) {
                aboutModalWindow.show();
            }
        });

        logoSection.addMember(logo);
        return logoSection;
    }



Code for Help About

HelpView:93
 private NavigationSection buildProductSection() {

        NavigationItem aboutItem = new NavigationItem(new ViewName("AboutBox", MSG.view_help_section_product_about()),
            "[SKIN]/../actions/help.png", new ViewFactory() {
                public Canvas createView() {
                    final AboutModalWindow aboutModalWindow = new AboutModalWindow(extendLocatorId("AboutModalWindow"));
                    aboutModalWindow.setTitle(MSG.view_aboutBox_title(productInfo.getFullName()));
                    aboutModalWindow.show();
                    return aboutModalWindow;
                }
            });
        aboutItem.setRefreshRequired(true);

        return new NavigationSection(SECTION_PRODUCT_VIEW_ID, aboutItem);
    }



They both instantiate the same AboutModalWindow via the .show() method.
just that one is from a NavigationItem invoked from ViewFactory and one is from a Img clickHandler().

Note You need to log in before you can comment on or make changes to this bug.